Bug 97989 - Heartbeat patch wanted for ssh client
Heartbeat patch wanted for ssh client
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 20:20 EDT by Michael S. Fischer
Modified: 2007-03-27 00:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 08:43:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Fischer 2003-06-24 20:20:52 EDT
The stock OpenSSH distribution does not support a periodic "Heartbeat" (protocol NOOP) to 
keep the connection alive.  If a NAT device is in place between the client and server, and no 
traffic is seen for some time, the NAT device will terminate the connection.  Heartbeat keeps 
this from happening (and should not be confused with TCP keepalives, which are different). 
 
Several heartbeat patches on the Net exist.  One is from here: 
http://www.sc.isc.tohoku.ac.jp/~hgot/sources/openssh-watchdog.html 
 
Another is provided with Debian; you should be able to find it easily.
Comment 1 Darren Tucker 2004-07-01 01:44:15 EDT
FYI: stock OpenSSH now has these (ClientAliveInterval and
ServerAliveInterval).
Comment 2 Tomas Mraz 2005-02-07 08:43:42 EST
There is openssh-3.9p1 in the FC3.

Note You need to log in before you can comment on or make changes to this bug.